<%= stylesheet_link_tag wicked_pdf_asset_base64("application.css"), :media => "all" %>
<%= javascript_include_tag "http://code.jquery.com/jquery-1.10.0.min.js" %>
<%= javascript_include_tag "http://code.jquery.com/ui/1.10.3/jquery-ui.min.js" %>
<div class="row margin-top-20px">
  <div class="col-md-12">
    Scan below QR code at entry
  </div>
</div>
<div class="row margin-top-20px">
  <div class="col-md-12">
    <div class="qr-png">
      <% @img = get_qr_code %>
      <img src="<%= @img.to_data_url %>" alt="Red dot" style="height: 140px; width: 140px;">
    </div>
  </div>
</div>
<div class="row margin-top-20px">
  <div class="col-md-12">
    <table class="table">
      <tbody>
        <tr>
          <td>Movie Name</td>
          <td><strong><%= @movie.name.titleize%></strong></td>
        </tr>
        <tr>
          <td>Show Date</td>
          <td><strong><%= @booking.booking_for_date %></strong></td>
        </tr>
        <tr>
          <td>Show Timing</td>
          <td><strong><%= @booking.show.time_slot.start_time %></strong></td>
        </tr>
        <tr>
          <td>Seats Booked</td>
          <td>
            <strong>
              <% objects = @booking.booked_seats.includes(:seat => {:row => :screen}) %>
              <% objects.each_with_index do |booked_seat, index| %>  
                <% seat = booked_seat.seat %>
                <% row = seat.row %>
                <% screen = row.screen %>
                <% str = '' %>
                <% str = str +  "#{screen.name}  | #{row.row_no} | #{seat.seat_no}" %> 
                <% if index > 0 and index != (objects.count + 1) %>
                  <% str = str + ', ' %>
                <% end %>
                <%= str %>
              <% end %>
            </strong>
          </td>
        </tr>
        <tr>
          <td>Total Amount</td>
          <td><strong>Rs.<%= @booking.total_amount %></strong></td>
        </tr>
      </tbody>
    </table>
  </div>
</div>

<div class="row margin-top-20px">
  <div class="col-md-12">
    Thank You!
  </div>
</div>